# Get API consumption metrics for the integration over a date range

**GET /v1/usage**



## Servers
- https://api.isnotai.com
- https://api-eu.isnotai.com

## Authentication methods
- bearer_auth


## Responses
### 200
Payload of UsageResponse

Response body (application/json):
- **startDate** (string)
- **endDate** (string)
- **data** (array[object])
  Array items:
  - **period** (string)
  - **metricType** (string)
  - **value** (integer(int64))
- **totals** (object)

### 400
Payload of ErrorEnvelope

Response body (application/json):
- **error** (object)
  - **code** (string)
  - **message** (string)
  - **details** (object)

### 401
Payload of ErrorEnvelope

Response body (application/json):
- **error** (object)
  - **code** (string)
  - **message** (string)
  - **details** (object)

